{**************************************************************************************************}
{                                                                                                  }
{ Project JEDI Code Library (JCL)                                                                  }
{                                                                                                  }
{ The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); }
{ you may not use this file except in compliance with the License. You may obtain a copy of the    }
{ License at http://www.mozilla.org/MPL/                                                           }
{                                                                                                  }
{ Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF   }
{ ANY KIND, either express or implied. See the License for the specific language governing rights  }
{ and limitations under the License.                                                               }
{                                                                                                  }
{ The Original Code is pcre.pas.                                                                   }
{                                                                                                  }
{ The Initial Developer of the Original Code is Peter Thornqvist.                                  }
{ Portions created by Peter Thornqvist are Copyright (C) of Peter Thornqvist. All rights reserved. }
{ Portions created by University of Cambridge are                                                  }
{ Copyright (C) 1997-2001 by University of Cambridge.                                              }
{                                                                                                  }
{ Contributor(s):                                                                                  }
{   Robert Rossmair (rrossmair)                                                                    }
{   Mario R. Carro                                                                                 }
{   Florent Ouchet (outchy)                                                                        }
{                                                                                                  }
{ The latest release of PCRE is always available from                                              }
{ ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-xxx.tar.gz                            }
{                                                                                                  }
{ Modified by Jan Goyvaerts for use with TPerlRegEx                                                }
{ TPerlRegEx is available at http://www.regular-expressions.info/delphi.html                       }
{                                                                                                  }
{**************************************************************************************************}
{                                                                                                  }
{ Header conversion of pcre.h                                                                      }
{                                                                                                  }
{**************************************************************************************************}

unit pcre;

interface

procedure pcre_free_substring(stringptr: PAnsiChar); cdecl;
{$EXTERNALSYM pcre_free_substring}

function pcre_maketables: PAnsiChar; cdecl;
{$EXTERNALSYM pcre_maketables}

implementation

uses
  SysUtils;

{$LinkLib libpcre.a}
{$LinkLib libmsvcrt.a}
{$LinkLib libkernel32.a}
{$LinkLib libgcc.a}

procedure pcre_free_substring(stringptr: PAnsiChar); cdecl; external;
function pcre_maketables: PAnsiChar; cdecl; external;

function malloc(size: size_t): Pointer; cdecl; external;
procedure free(pBlock: Pointer); cdecl; external;

end.

